# Animation Pegbars

![ACME Pegbar](./img/acme_peg_bar_full.jpg)

The pegbar is a tool for holding punched cels for drawing and shooting.
This repo contains scripts for generating pegbars for round pegs (three hole punch) as well as for cels made for ACME, Disney and Oxberry pegs.

-----

## Round Pegbars

This design is intended for use with a standard three hole punch.

### [Download STL](./stl/pegbar_round.stl)

# Round Pegbar in Two Pieces

![Round Pegbar for Small Printers](./img/pegbar_round_two_piece.jpg)

### [Download STL](./stl/pegbar_round_two_piece.stl)

# Round Pegbar in Three Pieces

![Round Pegbar in Three Pieces](./img/pegbar_round_three_piece.jpg)

### [Download STL](./stl/pegbar_round_three_piece.stl)

-----

## ACME Pegbars

This design is distinct from round peg bars due to the enlongated pegs on the ends of it.
These enlogated pegs are intended to reduce the shake in the cels when they are drawn on.

There are two variations of this design, for smaller printers.

### [Download STL](./stl/pegbar_acme.stl)

# ACME Pegbar in Two Pieces

![ACME Pegbar for Small Printers](./img/pegbar_acme_two_piece.jpg)

### [Download STL](./stl/pegbar_acme_two_piece.stl)

# ACME Pegbar in Three Pieces

![ACME Pegbar in Three Pieces](./img/pegbar_acme_three_piece.jpg)

### [Download STL](./stl/pegbar_acme_three_piece.stl)

-----

## Oxberry Pegbars

This design is used for Oxberry pegs.
It is distinct from the ACME design by having thicker outer pegs at a different spacing.

### [Download STL](./stl/pegbar_oxberry.stl)

# Oxberry Pegbar in Two Pieces

![Oxberry Pegbar for Small Printers](./img/pegbar_oxberry_two_piece.jpg)

### [Download STL](./stl/pegbar_oxberry_two_piece.stl)

# Oxberry Pegbar in Three Pieces

![Oxberry Pegbar in Three Pieces](./img/pegbar_oxberry_three_piece.jpg)

### [Download STL](./stl/pegbar_oxberry_three_piece.stl)

-----

## Disney Pegbars

This is the design that was used at Disney until they adopted the ACME pegbar standard.

### [Download STL](./stl/pegbar_disney.stl)

# Disney Pegbar in Two Pieces

![Disney Pegbar for Small Printers](./img/pegbar_disney_two_piece.jpg)

### [Download STL](./stl/pegbar_disney_two_piece.stl)

# Disney Pegbar in Three Pieces

![Disney Pegbar in Three Pieces](./img/pegbar_disney_three_piece.jpg)

### [Download STL](./stl/pegbar_disney_three_piece.stl)